## org.apache.cassandra.net
Class CachingMessageProducer

    java.lang.Object
      org.apache.cassandra.net.CachingMessageProducer

All Implemented Interfaces:
  MessageProducer

    public class CachingMessageProducer

extends java.lang.Object
implements MessageProducer

Constructor Summary
`CachingMessageProducer(MessageProducer prod)`

Method Summary
`Message` `getMessage(java.lang.Integer version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingMessageProducer

    public CachingMessageProducer(MessageProducer prod)

Method Detail

### getMessage

    public Message getMessage(java.lang.Integer version)
                       throws java.io.IOException

  Specified by:
    `getMessage` in interface `MessageProducer`
  Throws:
    `java.io.IOException`

Copyright © 2013 The Apache Software Foundation